<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div *ngIf="vertical; else horizontal" class="relative flex items-center justify-center h-full">
  <div class="w-0.5 bg-text-200 rounded-md h-full"></div>
  <div class="absolute bg-lightGrey py-3 text-sm font-semibold text-text-300">OR</div>
</div>
<ng-template #horizontal>
  <div class="relative flex items-center justify-center w-full">
    <div class="h-0.5 bg-text-200 rounded-md w-full"></div>
    <div class="absolute bg-lightGrey px-3 text-sm font-semibold text-text-300">OR</div>
  </div>
</ng-template>
